/*
          __
         / /_______________  ____  ___
        / __/ ___/ ___/ __ \/ __ \/ _ \
       / /_(__  ) /__/ /_/ / /_/ /  __/
       \__/____/\___/\____/ .___/\___/
                         /_/

	draw2.c
	drawing triangles, polygons, ellipses and arcs
*/

#include <tscope.h>

int main()
{
	ts_bgcolor(WHITE);

	ts_fgcolor(RED);
	int c[8] = { 0, -10, ax(-1), ay(-1), 0, ay(-.5), ax(1), ay(-1) };
	ts_polygon(4, c);

	ts_fgcolor(BLUE);
	ts_triangle(0, 10, ax(.5), ay(.5), ax(-.5), ay(.5));
	ts_arc(0, ay(.5), 0, 180, 50);

	ts_fgcolor(GREEN);
	ts_ellipse(0, 0, ax(1), ay(1.0 / 3));

	ts_fgcolor(BLACK);
	ts_floodfill(0, 0);

	ts_button(XMAX - 20, -YMAX + 20);
	return 0;
}

END_OF_MAIN();
