/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	randomisation

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_RANDOM_H
#define TSCOPE_RANDOM_H

#ifdef __cplusplus
extern "C" {
#endif

	void ts_rseed(int newseed[3]);
	void ts_rseedfile(char *file);
	double ts_runif();
	double ts_rexp();
	double ts_rnorm(double mean, double sd);
	int ts_rint(int nmax);
	int ts_rlist(int nmax, int freq, int *list);
	int ts_rslist(int nmax, int freq, int *list);

#ifdef __cplusplus
}
#endif
#endif							//      TSCOPE_RANDOM_H
