/*
          __
         / /_______________  ____  ___
        / __/ ___/ ___/ __ \/ __ \/ _ \
       / /_(__  ) /__/ /_/ / /_/ /  __/
       \__/____/\___/\____/ .___/\___/
                         /_/

	map1.c
	reading bitmaps from files
*/

#include <tscope.h>

int main()
{
	// open tscope
	ts_scrsize(SIZE1);
	ts_init();
	ts_bgcolor(YELLOW);

	// make a bitmap pointer
	map *test;

	// read the file and set the pointer
	test = ts_readbmp("bitmap.pcx");

	// blit the bitmap
	// (0,0) = centred around the middle of the screen
	ts_blit(test, 0, 0);
	ts_button(XMAX - 20, -YMAX + 20);

	// destroy the bitmap after use
	ts_killbmp(test);
	return 0;
}

END_OF_MAIN();
