/*
            __
           / /_______________  ____  ___
          / __/ ___/ ___/ __ \/ __ \/ _ \
         / /_(__  ) /__/ /_/ / /_/ /  __/
         \__/____/\___/\____/ .___/\___/
                           /_/
	
	formatted text input/output

	By Michael Stevens

	See license.html for copyright information
*/

#ifndef TSCOPE_TEXTIO_H
#define TSCOPE_TEXTIO_H

#ifdef __cplusplus
extern "C" {
#endif

	int ts_printf(int x, int y, const char *format, ...);
	int ts_printf_centre(int x, int y, const char *format, ...);
	int ts_printf_right(int x, int y, const char *format, ...);
	int ts_printf_justify(int x1, int x2, int y, const char *format, ...);

	int ts_textheight();
	int ts_textlength(char *txt);

	int ts_scanf(int x, int y, char *format, ...);

#ifdef __cplusplus
}
#endif
#define MAXREAD	50
#endif							//      TSCOPE_TEXTIO_H
